## net.sf.statcvs.pages.xml
Class CommitListXml

    java.lang.Object
      net.sf.statcvs.pages.xml.CommitListXml

    public class CommitListXml

extends java.lang.Object

This is a mere copy of the CommitListFormatter class with dfew minor changes done Class for formatting a list of commits as XML.

Version:
  $Id: CommitListXml.java,v 1.4 2008/04/02 11:52:02 benoitx Exp $
Author:
  Anja Jentzsch, Richard Cyganiak (richard@cyganiak.de)

Constructor Summary
`CommitListXml(java.util.List commits, java.util.List tags, boolean withPermalinks)` Creates a new instance for the list of commits.
`CommitListXml(java.util.List commit, java.util.List tags, int max, boolean withPermalinks)` Creates a new instance for the list of commits.

Method Summary
`org.jdom.Element` `renderCommitList(java.util.List commitList)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommitListXml

    public CommitListXml(java.util.List commits,
                         java.util.List tags,
                         boolean withPermalinks)

  Creates a new instance for the list of commits.

  Parameters:
    `commits` - A list of `Commit` objects

### CommitListXml

    public CommitListXml(java.util.List commit,
                         java.util.List tags,
                         int max,
                         boolean withPermalinks)

  Creates a new instance for the list of commits.

  Parameters:
    `commits` - A list of `Commit` objects
    `max` - maximum number of commits for the log; if there are more, only the most recent will be used

Method Detail

### renderCommitList

    public org.jdom.Element renderCommitList(java.util.List commitList)